from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSAXEventKeeperStatusChangeListener(XInterface, Protocol):
    def blockingStatusChanged(self, isBlocking: bool) -> None: ...
    def collectionStatusChanged(self, isInsideCollectedElement: bool) -> None: ...
    def bufferStatusChanged(self, isBufferEmpty: bool) -> None: ...
